html, body {
  margin: 0;
  padding: 0;
  overflow: hidden !important;
  background-image: url(images/attention_background.png);
  background-size: 100% 100%;
  -moz-user-select: none;
}

html {
  visibility: hidden;
}

html.ready {
  visibility: visible;
}

.ring-display {
  position: fixed;

  width: calc(100% - 1.50rem);
  height: calc(100% - 1.38rem);
  padding: 0.75rem 0.75rem 0.63rem;
}

#ring-icon {
  width: 48%;
  height: 34%;
  left: 26%;
  top: 8%;
  background-image: url(images/onring.png);
  background-size: 100%;
  background-repeat: no-repeat;
  position: absolute;
}

#ring-clock {
  width: 100%;
  height: 100%;
  color: #fbfbfb;
  text-align: center;
}

#ring-clock-display {
  width: 95%;
  margin-top: 44%;
  border-bottom: 0.13rem solid rgba(122, 122, 122, 0.65);
  margin-left: auto;
  margin-right: auto;
}

#ring-clock-time {
  font-weight: lighter;
  font-size: 3.13rem;
  line-height: 5.63rem;
  width: 100%;
}

#ring-clock-time small {
  font-weight: lighter;
  font-size: inherit;
  line-height: 5rem;
}

#ring-label {
  font-weight: lighter;
  font-size: 2.50rem;
  line-height: 3.25rem;
  text-overflow: ellipsis;
  overflow: hidden;
  height: 6.5rem; /* span 2 lines, twice the line-height */
  margin-top: 1.2rem;
  margin-left: 0.7rem;
  margin-right: 0.7rem;
}

#footer-button-container {
  display: flex;
  padding: 0.5rem;
  left: 0;
  bottom: 0;
  right: 0;
  background: url(images/attention_button_container.png);
  background-size: 100% 100%;
  border-top: 0.1rem solid rgba(255, 255, 255, 0.1);
  position: absolute;
}

#footer-button-container button {
  flex: 1;
  margin: 0.5rem;
}

.ring-display[data-ring-type="timer"] #ring-button-snooze {
  display: none;
}

/* 320x480 phones */
@media (orientation: portrait) and (width: 320px),
       (orientation: landscape) and (width: 480px) {
  html {
    font-size: 10px;
  }
}

/* 480x800 phones */
@media (orientation: portrait) and (width: 480px),
       (orientation: landscape) and (width: 800px) {
  html {
    font-size: 14px;
  }
}

/* Handling the status bar mode */
@media screen and (max-height: 4em) {
  #ring-icon {
    width: 4rem;
    height: 4rem;
    left: 0.4rem;
    top: 0;
    background-image: url('images/attention_overlay_icon.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
  }

  #ring-clock {
    text-align: left;
  }

  #ring-clock-display {
    position: absolute;
    bottom: 0.3rem;
    left: 5rem;
    border-bottom: none;
  }

  #ring-clock-time {
    font-weight: bolder;
    font-size: 1.38rem;
    line-height: 1.38rem;
  }

  #ring-clock-time small {
    display: none;
  }

  #ring-label {
    position: absolute;
    top: 0.5rem;
    left: 5rem;
    font-weight: bolder;
    font-size: 1.31rem;
    line-height: 1.44rem;
    color: #00aac8;
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    height: 1.5rem;
  }

  #footer-button-container {
    display: none;
  }
}
